# Verify MFA Challenge Code
URL: /docs/api-reference/multi-factor-authentication-mfa/verifyMfaChallenge

## POST `/api/v1/public/mfa/verify`

**Summary:** Verify MFA Challenge Code
**Operation ID:** `verifyMfaChallenge`

Performs constant-time validation of submitted MFA challenge code. On successful verification, returns `verified: true` and a cryptographically signed `verificationToken` proof token for subsequent authenticated actions.

**Authentication:** `X-Api-Key: sk_live_...` or `Authorization: Bearer sk_live_...`

### Request Body (`application/json`)

```json
{
  "type": "object",
  "required": [
    "challengeId",
    "code"
  ],
  "properties": {
    "challengeId": {
      "type": "string",
      "example": "ch_7f9a2e41"
    },
    "code": {
      "type": "string",
      "example": "849201"
    }
  }
}
```

### Responses

- **`200`**: Challenge verification outcome

```json
{
  "type": "object",
  "properties": {
    "status": {
      "type": "string",
      "example": "success"
    },
    "data": {
      "$ref": "#/components/schemas/MfaVerifyResponse"
    }
  }
}
```
- **`401`**: Authentication failed or API key missing